SoRotationXYZ(3IV)

NAME
SoRotationXYZ — node representing a 3D rotation about the x-, y-, or z-axis

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoTransformation > SoRotationXYZ

SYNOPSIS
#include <Inventor/nodes/SoRotationXYZ.h>

enum Axis {
SoRotationXYZ::X
The x-axis
SoRotationXYZ::Y
The y-axis
SoRotationXYZ::Z
The z-axis
}

Fields from class SoRotationXYZ:

SoSFEnum
axis
SoSFFloat
angle

Methods from class SoRotationXYZ:

SoRotationXYZ()
SbRotation
getRotation() const
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines a 3D rotation about one of the three principal axes. The rotation is accumulated into the current transformation, which is applied to subsequent shapes.

FIELDS
SoSFEnum
axis
Rotation axis.

SoSFFloat
angle
Rotation angle (in radians), using the right-hand rule.

METHODS

SoRotationXYZ()
Creates a rotation node with default settings.

SbRotation
getRotation() const
Returns an SbRotation equivalent to the specified rotation.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoRayPickAction
Accumulates rotation transformation into the current transformation.

SoGetMatrixAction
Returns the matrix corresponding to the rotation.

FILE FORMAT/DEFAULTS
RotationXYZ {
axis	X
angle	0
}

SEE ALSO
SoRotation, SoTransform